org.keycloak.login.freemarker.model

## Class UrlBean

- java.lang.Object
- - org.keycloak.login.freemarker.model.UrlBean

-     public class UrlBean
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlBean(RealmModel realm, Theme theme, URI baseURI)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLoginAction()`
    `String` | `getLoginEmailVerificationUrl()`
    `String` | `getLoginPasswordResetUrl()`
    `String` | `getLoginUpdatePasswordUrl()`
    `String` | `getLoginUpdateProfileUrl()`
    `String` | `getLoginUpdateTotpUrl()`
    `String` | `getLoginUrl()`
    `String` | `getLoginUsernameReminderUrl()`
    `String` | `getOauthAction()`
    `String` | `getRegistrationAction()`
    `String` | `getRegistrationUrl()`
    `String` | `getResourcesPath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlBean

          public UrlBean(RealmModel realm,
                 Theme theme,
                 URI baseURI)

  - ### Method Detail

    - #### getLoginAction

          public String getLoginAction()

    - #### getLoginUrl

          public String getLoginUrl()

    - #### getRegistrationAction

          public String getRegistrationAction()

    - #### getRegistrationUrl

          public String getRegistrationUrl()

    - #### getLoginUpdatePasswordUrl

          public String getLoginUpdatePasswordUrl()

    - #### getLoginUpdateTotpUrl

          public String getLoginUpdateTotpUrl()

    - #### getLoginUpdateProfileUrl

          public String getLoginUpdateProfileUrl()

    - #### getLoginPasswordResetUrl

          public String getLoginPasswordResetUrl()

    - #### getLoginUsernameReminderUrl

          public String getLoginUsernameReminderUrl()

    - #### getLoginEmailVerificationUrl

          public String getLoginEmailVerificationUrl()

    - #### getOauthAction

          public String getOauthAction()

    - #### getResourcesPath

          public String getResourcesPath()

Copyright © 2015. All Rights Reserved.